f



Is Php built in function ' imagecreate()' compatible in Php version 5.2.2 ?

Hi All,

I have the php version 5.2.2 . When I am using


" $im = imagecreate(......); "   I am getting the following message


 "Fatal error: Call to undefined function imagecreate() in C:\Program
Files\Apache Software Foundation\Apache2.2\htdocs\server.php on line
32"


I want to know whether "imagecreate()" is compatible in PHP version
5.2.2.?

0
6/29/2007 12:20:39 AM
comp.lang.php 32646 articles. 0 followers. Post Follow

2 Replies
1728 Views

Similar Articles

[PageSpeed] 56

saikiran.iitkgp@gmail.com wrote:
> Hi All,
> 
> I have the php version 5.2.2 . When I am using
> 
> 
> " $im = imagecreate(......); "   I am getting the following message
> 
> 
>  "Fatal error: Call to undefined function imagecreate() in C:\Program
> Files\Apache Software Foundation\Apache2.2\htdocs\server.php on line
> 32"
> 
> 
> I want to know whether "imagecreate()" is compatible in PHP version
> 5.2.2.?
> 

It looks like you're missing the gd extension.

-- 
==================
Remove the "x" from my email address
Jerry Stuckle
JDS Computer Training Corp.
jstucklex@attglobal.net
==================
0
jstucklex (14659)
6/29/2007 3:03:43 AM
edit php.ini

;extension=php_gd2.dll to extension=php_gd2.dll

0
cosnis (1)
6/29/2007 3:51:16 AM
Reply:

Similar Artilces:

AIX 5.2/php 5.3.2 'make cli' says it succeeds, but no executable
.... Generating phar.php /bin/sh[14]: /usr/local/SRC/php-5.3.2/sapi/cli/php: not found make: The error code from the last command is 127. # make cli echo '\ \ Target "cli" is up to date. CREDITS config.w32 php_cli_readline.c Makefile.frag php.1 php_cli_readline.h README php.1.in php_cli_readline.lo TODO php_cli.c php_cli_readline.o cli_win32.c php_cli.lo tests config.m4 php_cli.o On Apr 8, 10:50=A0am, tkevans <evanst...@gmail.com> wrot...

php degugger on php 5.2.2 (xampp 1.6.2) real brainer
Hi, I tried to get php dbg debugger working on my machine but it doesn't work at all. Ok, what i did: copied php_dbg-5.2.x.dll (for PHP 5.2.x version) into my xampp/php/ext directory next, modified /xampp/apache/bin/php.ini file appending: [debugger] extension=php_dbg-5.2.x.dll debugger.enabled=on debugger.profiler_enabled=on debugger.hosts_allow=localhost 127.0.0.1 ;debugger.hosts_deny=ALL debugger.ports=7869, 10000/16 debugger.JIT_host = clienthost debugger.JIT_port = 7869 Now, when i restard my server and try to get http://localhost my apache crashes and windows gives me a window telling me that this application will be closed !@!! what is wrong ? im running windows xp sp2 thanks in advance Piotr Nowak pisze: > Hi, > > I tried to get php dbg debugger working on my machine but it doesn't > work at all. > > Ok, what i did: > > copied php_dbg-5.2.x.dll (for PHP 5.2.x version) into my xampp/php/ext > directory > next, modified /xampp/apache/bin/php.ini file appending: > > [debugger] > extension=php_dbg-5.2.x.dll > debugger.enabled=on > debugger.profiler_enabled=on > debugger.hosts_allow=localhost 127.0.0.1 > ;debugger.hosts_deny=ALL > debugger.ports=7869, 10000/16 > debugger.JIT_host = clienthost > debugger.JIT_port = 7869 > > > Now, when i restard my server and try to get http://localhost my apache > crashes and windows gives me a window telling me that this application >...

Fatal error: main(): Failed opening required 'DB.php' (include_path='.:/usr/lib/php:/usr/local/lib/php')
I installed PEAR HTTP_Upload to my new server and now im getting this error when runnign the script. any help? Maximus wrote: > I installed PEAR HTTP_Upload to my new server > and now im getting this error when runnign the script. > > > any help? > permissions problem? where is DB.php located? does DB.php reside in the include_path directories? The message is self explanatory. -- Michael Austin. DBA Consultant Donations welcomed. Http://www.firstdbasource.com/donations.html :) Try on your command line as root: >pear install DB Alex http://prepared-stateme...

apache 2.2.15 service won't start w/ PHP 5.3.2, Windows XP
On a localhost development configuration under Windows XP Pro (SP3), I cannot get Apache2.2.15 http service to start after I enable PHP 5.3.2 as a module. Without PHP, Apache starts and works just fine; PHP itself works (from a command prompt). I had had Apache 2.2.14 and an older PHP 5.2.x working happily together, supporting MySQL, phpMyAdmin, etc. I uninstalled all that and instead: (1) Installed Apache 2.2.15 from httpd-2.2.15-win32-x86-no_ssl.msi (also tried the openssl version when the former + PHP didn't work). It's installed as a service for all users on port 80. And I'm running as Administrator. That worked just fine. (2) Installed PHP 5.3.2 from php-5.3.2-Win32-VC6-x86.msi (thread safe version). As php.net says, with apache.org binaries, I used the VC6 version, not VC9. Now the apache http service will not start. So of course I never got so far as to try a .php script in the browser. When that failed, I uninstalled PHP and instead tried to use php-5.3.2- Win32-VC6-x86.zip and configure manually, starting with php.ini- development copied to php.ini and edited as below. Of course I put the correct entries in Windows system environment variables PATH (starts with D:\Server\PHP\ext;D:\Server\PHP) and PHPRC (D:\Server\PHP). File httpd.conf is what the Apache installer set up plus my edits in appropriate spots: [CODE]ServerName localhost:80 DocumentRoot "E:/htdocs" <Directory "E:/htdocs"> LoadModule php5_module "D:/Serv...

error while doing 'make' in php-5.2.1
I am trying to build php-5.2.1 in RedHat Linux 9. I have installed libxml2-2.6.11,mysql-5.0.33,httpd-2.2.4(apache) successfully.When i do 'make' from the php directory,i get the following errors..Not able to proceed further.(./configure went smooth). I request you to provide suggestions to solve this problem. -5.2.1/include -I/lamp/php-5.2.1/main -I/lamp/php-5.2.1 -I/usr/local/ include/libxml2 -I/lamp/php-5.2.1/ext/date/lib -I/usr/local/mysql// include/mysql -I/lamp/php-5.2.1/TSRM -I/lamp/php-5.2.1/Zend -I/usr/ include -g -O2 -prefer-non-pic -c /lamp/php-5.2.1/ext/pdo_sqlite/ s...

Failed opening required 'PEAR.php' (include_path='F:\www\include') in F:\Program Files\PHP\PEAR\Text\CAPTCHA.php on line 22
Hi, Guys=EF=BC=8Cwhen I run my site ,I got some errors: Warning: require_once(PEAR.php) [function.require-once]: failed to open stream: No such file or directory in F:\Program Files\PHP\PEAR \Text\CAPTCHA.php on line 22 Fatal error: require_once() [function.require]: Failed opening required 'PEAR.php' (include_path=3D'F:\www\include') in F:\Program Files \PHP\PEAR\Text\CAPTCHA.php on line 22 It appears that it cann't find the pear.php ,but i checked my dir,and this file was there,and also I have my php.ini file checked,the include_path=3Dinclude_path=3D".;F:\Program Files\PHP\pear;F:\www \include" ,it looks all right,was there anything I have missed in the config file?Or something wrong ? Wish somebody can help me out. Thanks, Mikay >Warning: require_once(PEAR.php) [function.require-once]: failed to >open stream: No such file or directory in F:\Program Files\PHP\PEAR >\Text\CAPTCHA.php on line 22 >Fatal error: require_once() [function.require]: Failed opening >required 'PEAR.php' (include_path='F:\www\include') in F:\Program Files >\PHP\PEAR\Text\CAPTCHA.php on line 22 So where is the pear.php file? >It appears that it cann't find the pear.php ,but i checked my dir,and >this file was there,and also I have my php.ini file checked,the >include_path=include_path=".;F:\Program Files\PHP\pear;F:\www >\include" ,it looks all right,was there anything I have missed in the >config...

why does $_SERVER['PHP_SELF'] say /test.php/test.php for test.php?
I have a PHP script at 127.0.0.1/test.php. It's contents are as follows: <?php echo $_SERVER['PHP_SELF']; ?> And it's output isn't test.php, as I'd expect, or /test.php, but rather, /test.php/test.php. Why? And how do I fix it? El 06/10/2010 6:53, yawnmoth escribi�/wrote: > I have a PHP script at 127.0.0.1/test.php. It's contents are as > follows: > > <?php > echo $_SERVER['PHP_SELF']; > ?> > > And it's output isn't test.php, as I'd expect, or /test.php, but > rather, /test.php/test.php. Why? And how do I fix it? What output do you get if you change it to this? <?php echo '[' . $_SERVER['PHP_SELF'] . ']'; ?> What do your other $_SERVER values look like? <?php print_r($_SERVER); ?> -- -- http://alvaro.es - �lvaro G. Vicario - Burgos, Spain -- Mi sitio sobre programaci�n web: http://borrame.com -- Mi web de humor satinado: http://www.demogracia.com -- On 06/10/10 09:30, "�lvaro G. Vicario" wrote: > El 06/10/2010 6:53, yawnmoth escribi�/wrote: >> I have a PHP script at 127.0.0.1/test.php. It's contents are as >> follows: >> >> <?php >> echo $_SERVER['PHP_SELF']; >> ?> >> >> And it's output isn't test.php, as I'd expect, or /test.php, but >> rather, /test.php/test.php. Why? And how do I fix it? > > What output do you get if you change it ...

Compiling PHP 5.0.2 and mysqli extension: error on 'make'
Hi, I am compiling PHP 5.0.2 myself with MySQL support. I did a ./configure --with-mysqli=/usr/local/mysql/bin/mysql_config (see end of post for complete configure) Note: I also have --with-mysql=/usr/local/mysql/. However, I get the same errors when I configure without the mysql extension, just mysqli. And as the documentation says, I use the same version of MySQL for both extensions to avoid conflicts. The configure script works fine, no errors. However when I do 'make', I get errors. I first get a series of ext/mysqli/mysqli_prop.lo(.text+0x1041): In function `s...

can't compile php 5.2.6 -- php_mysql.c:1120: undefined reference to `mysql_set_character_set'
Hi: I posted this in the solaris group but then thought there is value in posting it here. When trying to compile PHP 5.2.6 I receive the error below when runing make. If I comment out the if/else block in php_mysql.c on line 1120 it compiles as expected. Also, it's worth noting that I was able to find mysql_character_set() in the mysql source and my PHP config flag is --with-mysql=/usr/local/mysql which that directory has mysql_character_set in /usr/local/mysql/include/mysql/mysql.h This is a solaris 10 box and I've tried a billion things. Some noteworthy are I compiled the latest gcc with gnu flags and points to gnu ld. Any suggestions are appreciated! make error: ext/mysql/.libs/php_mysql.o(.text+0x1a19): In function `zif_mysql_set_charset': /usr/share/src/php-5.2.6/ext/mysql/php_mysql.c:1120: undefined reference to `mysql_set_character_set' collect2: ld returned 1 exit status make: *** [sapi/cli/php] Error 1 Line 1120 of php_mysql.c ZEND_FETCH_RESOURCE2(mysql, php_mysql_conn *, &mysql_link, id, "MySQL-Link", le_link, le_plink); if (!mysql_set_character_set(&mysql->conn, csname)) { RETURN_TRUE; } else { RETURN_FALSE; } Rob wrote: > Hi: > > I posted this in the solaris group but then thought there is value in > posting it here. > > When trying to compile PHP 5.2.6 I receive the error below when runing > make. If I comment out the if/else block i...

php-mcrypt module for php-4.2.2 ?
Hi I am looking for the above as my php version (Redhat) is that. Call me lazy, but I do not wish to compile php unless it becomes absolutely necessary, as it has been working fine so far. I have searched google for it, but to no avail so far. Does anyone know a source for it ? Upgrading to 4.2.3 is an option, but it will require upgrading large chunks of my installation that I do not have a problem with. Thanks, MS ...

PHP file 'Hello.php" is not writing anything when run through IE 6.0.2
Hi ! Out there, anybody could help tell me what could be the reason that my php scripting is not giving output in IE6. Which I'm trying from my webserver itself, having IIS 5 on W2k Advanced server. I have updated registry HKLM\SOFTWARE\PHP with Per se directory with value of C:\Inetpub\wwwroot. Still it's not saying 'Hello' to the world :) Can anybody guide me to the correct reason / resolution. Thanks in anticipation. Vasu Vasu wrote: > Hi ! > > Out there, anybody could help tell me what could be the reason that my > php scripting is not giving output in IE6. Which I'm trying from my > webserver itself, having IIS 5 on W2k Advanced server. > > I have updated registry HKLM\SOFTWARE\PHP with Per se directory with > value of C:\Inetpub\wwwroot. > > Still it's not saying 'Hello' to the world :) > > Can anybody guide me to the correct reason / resolution. Are you using "C:\Inetpub\wwwroot" as address for the browser? -- Freundliche Gr��e, Franz Marksteiner On Feb 24, 3:55=A0pm, "Franz Marksteiner" <franzmarkstei...@gmail.com> wrote: > Vasu wrote: > > Hi ! > > > Out there, anybody could help tell me what could be the reason that my > > php scripting is not giving output in IE6. =A0Which I'm trying from my > > webserver itself, having IIS 5 on W2k Advanced server. > > > I have updated registry HKLM\SOFTWARE\PHP with Per se directory...

HELP!! PHP Warning: PHP Startup: Unable to load dynamic library 'c:\PHP\Ext\php_mysql.dll'
Why do I keep getting this error mesgage on my phpinfo() page trying to get PHP and MySQL to communicate? I am running this in IIS. Here's what I have - My php.ini resides in my C:\WINNT directory. In it, I have removed the ';' from the extension=php_mysql.dll. Also in the php.ini file I set extension_dir = c:\PHP\Ext In c:\PHP\Ext I have the following files: libmysqli.dll libmySQL.dll php5apache2.dll (Do I need this since I am using IIS)? php5ts.dll php_mysql.dll Any help would be tremendously appreciated. I have spent a ton of time on this. Thanks. MS wrote: > Wh...

PHP 5.2.0 and Python 2.5
Hi Guys, I need some wisdom from you. Is it possible to have PHP pages posting to python scripts on the server side and returning values back to the calling PHP files? Like, if my enterval.php form's action=" think.py", would the two scripts be able to talk to each other? Thanks and Best Regards, "Shortash" Shortash wrote: > Hi Guys, > > I need some wisdom from you. Is it possible to have PHP pages posting > to python scripts on the server side and returning values back to the > calling PHP files? Like, if my enterval.php form's action=" t...

AttributeError: 'module' object has no attribute 'DatagramHandler' (ubuntu-8.10, python 2.5.2)
$ ~/devel/ice/snoip/freespeech$ python Python 2.5.2 (r252:60911, Oct 5 2008, 19:24:49) [GCC 4.3.2] on linux2 Type "help", "copyright", "credits" or "license" for more information. >>> import logging >>> logging.DatagramHandler Traceback (most recent call last): File "<stdin>", line 1, in <module> AttributeError: 'module' object has no attribute 'DatagramHandler' >>> That is odd since the documentation says there is DatagramHandler for module logging On Mon, Dec 29, 2008 at 4:08 AM, Tz...

'2 apples' + '2 oranges' == 4
I can't find the documentation for the behavior illustrated in the Subject line (i.e. in Perl arithmetic operations are defined for strings beginning with numbers[*]). Any pointers would be appreciated. (Also, meta-pointers on how one would go about finding this documentation if one didn't know already would also be very welcome.) TIA! jill * Actually, the format of the strings Perl will perform arithmetic on is more compilicated than I described above. Optional leading whitespace is permitted, for example. -- To s&e^n]d me m~a}i]l r%e*m?o\v[e bit from my a|d)d:r{e...

'''''''''''''The Running Update/Append Queries Using VBA code Ordeal'''''''''''''' #2
Hi, Thanks for ur help there HJ. I know how to do the tasks you specified there. I would like for the update query to use field values from some of the fields on the form (frmInvoices) such as InvoiceNumber, DateFrom, DateTo. My problem is that an append/update query can't find the values in the open Form (frmInvoices) when I specify them as; [Forms]![frmInvoices]![InvoiceNumber] a select query has no problem finding the field values on a form. please help. Aaron Hi Aaron, Could you post the entire code that you are having trouble with? Now it is not possible to see what goes wrong. HJ "Aaron" <aaron@rapid-motion.co.uk> wrote in message news:260d7f40.0408120245.2f3d01f8@posting.google.com... > Hi, > > Thanks for ur help there HJ. > > I know how to do the tasks you specified there. > > I would like for the update query to use field values from some of the > fields on the form (frmInvoices) such as InvoiceNumber, DateFrom, > DateTo. My problem is that an append/update query can't find the > values in the open Form (frmInvoices) when I specify them as; > > [Forms]![frmInvoices]![InvoiceNumber] > > a select query has no problem finding the field values on a form. > > please help. > > Aaron First off, if you are not always using all the parameters specified in your form, then you have to add parameters to your query on the fly. Also, you can't just do something like qdf.SQL = "SE...

Can't compile php 5.2.6
I have downloaded the source for php 5.2.6 but I'm not able to compile it on a Fedora Core 9: /configure --enable-so --with-zlib --enable-exif --with-gd --with-mysql --enable-zip --with-jpeg-dir=/usr/lib64 --with-png-dir=/usr/lib64 .... checking for fabsf... yes checking for floorf... yes configure: error: libjpeg.(a|so) not found. But the problems s not the libjpeg library because config.log say: configure:35255: gcc -o conftest -g -O2 conftest.c -lz -lresolv -lm -ldl -lnsl -lxml2 -lz -lm -lxml2 -lz -lm 1>&5 configure:35239: warning: conflicting types for built-in function 'fabsf' configure:35227: checking for floorf configure:35255: gcc -o conftest -g -O2 conftest.c -lz -lresolv -lm -ldl -lnsl -lxml2 -lz -lm -lxml2 -lz -lm 1>&5 configure:35239: warning: conflicting types for built-in function 'floorf' Searching for solution on Internet gave me a lot of hits, but no solution that works. Does anyone know how to fix this? -- J�rn Dahl-Stamnes http://www.dahl-stamnes.net/dahls/ J�rn Dahl-Stamnes wrote: > I have downloaded the source for php 5.2.6 but I'm not able to compile it > on a Fedora Core 9: > > /configure --enable-so --with-zlib --enable-exif --with-gd --with-mysql > --enable-zip --with-jpeg-dir=/usr/lib64 --with-png-dir=/usr/lib64 Woops, sorry wrong cut&paste. The command I use is: ../configure --with-apxs2=/usr/local/apache2/bin/apxs --with-zlib --enable-exif --with-gd --with-mysql --enable-zi...

testing PHP 5 with Apache 2 and php info file
When I go to look for php info file in the browser all i get is the actually words. <?php phpinfo(); ?> any obvious problems? thanks ...

'<?' versus '<?php'
Hi folks, I recently ran into a PHP5 install that rejects the idiom, <? // code ? > and in fact renders that in the output that is sent to the browser. Yikes! The sysadmins could not say why this was but suggested it was a PHP5 thing. So my question to you: is <?php going to become required? And if it is will we not be allowed to echo by the shorthand <?php=$foo?> as we used to <?=$bar?> ? As that was broken too. Thanks for any advice, JG jerrygarciuh wrote: > Hi folks, > > I recently ran into a PHP5 install that rejects the idiom, <? // code ? >> and in fact renders that in the output that is sent to the browser. > Yikes! > > The sysadmins could not say why this was but suggested it was a PHP5 > thing. > > So my question to you: is <?php going to become required? And if it > is will we not be allowed to echo by the shorthand <?php=$foo?> as we > used to <?=$bar?> ? As that was broken too. > > Thanks for any advice, > > JG > This is PHP short_open_tag setting in your php.ini file. In PHP5 it is set to off. Off is recommended because the short tag can cause problems with xml, which uses the same tags. It also means you can't use the <?= syntax. On Apache, you can override this in your .htaccess file, if the host allows it. -- ================== Remove the "x" from my email address Jerry Stuckle JDS Computer Training Corp. jstucklex@attg...

Migrate PHP 2.0 code to PHP 5.x
Hello ppl, I have old php code that is written in PHP 2 version... now i want to move/ migrate the whole code into latest version of PHP. Is there any tool or tips and tracks to migrate code. ~thanks Vijay. -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 Vm wrote: > Hello ppl, > > I have old php code that is written in PHP 2 version... now i want to > move/ migrate the whole code into latest version of PHP. > Is there any tool or tips and tracks to migrate code. > > > ~thanks > Vijay. Hello, well, have a look at the register gloabls settings and other gloabl vars. then I would use the following in the old code: ini_set('error_reporting',8191); // E_ALL & E_STRICT ini_set('display_errors',true); and then just run it and have a look at the error messages which will come up. I don't know about any automated way to make this. It will be try and fix errors, to solve this. regards, johannes ke�ler -----BEGIN PGP SIGNATURE----- Version: GnuPG v2.0.11 (GNU/Linux) iEYEARECAAYFAkp8PCQACgkQE++2Zdc7Etc3xwCgqMEGEkrSbcBpV5xUl3UerZ7K YQQAn12Fk+bg0lQ+lo0CxaxysqPwPOaE =Oq26 -----END PGP SIGNATURE----- On 07 Aug 2009, johannes ke�ler <mail@bananas-playground.net> wrote: > Vm wrote: >> Hello ppl, >> >> I have old php code that is written in PHP 2 version... now i >> want to move/ migrate the whole code into latest version of >> PHP. Is there any tool or tips and tracks to migrate code. &...

function that ''filters'' a matrix #2
I want to create a function that take as an input a matrix and returns that matrix but without the rows that are shown more than one time...for example input: 1 2 3 4 output: 1 2 3 4 4 3 2 1 4 3 2 1 4 3 2 1 2 1 5 6 1 2 3 4 2 1 5 6 Thank You! unique(A,'rows') "xalouris koukou" <xalourengo@hotmail.com> wrote in message news:ef3496b.-1@webx.raydaftYaTP... >I want to create a function that take as an input a matrix and > return...

testing PHP 5 with Apache 2 and php info file
When I go to look for php info file in the browser all i get is the actually words. <?php phpinfo(); ?> any obvious problems? thanks ...

Apache 2.2.2 and PHP 5.1.4 on Win2k crashing
I just installed Apache 2.2.2 on my Windows 2000 (SP4) machine to test the new version. Everything works except PHP (version 5.1.4): when starting Apache, it pops out a message saying that it is unable to locate the module (even set on the correct path!), stops the execution and exits. On the other side, PHP works fine with Apache 2.0.55, so It's not a problem of a broken build. Got ideas? Thanks. -- Massimo Lombardo unwiredbrain@gmail.com wrote: > I just installed Apache 2.2.2 on my Windows 2000 (SP4) machine to test > the new version. > Everything works except PHP (version ...

PHP 5.1.2 and using PHP w Apache2 and MySQL
Hello all, First of all I first dld and installed (unzipped) PHP 5.1.1 before 5.1.2 was released, so do I just unzip 5.1.2 over the existing 5.1.1 and use the same php.ini file, or is there more to it than that? When I run phpinfo it still displays the ver as 5.1.1, is this ok? Also, I have installed Apache 2.0.55 and PHP 5.1.2 (see above 5.1.2 question) on my personal windows me computer, and I would like to install MySQL as well. To the best of my knowledge both of the above SEEM to be working and setup correctly. My goal in doing this is so that I can learn to use Apache, PHP ...

Web resources about - Is Php built in function ' imagecreate()' compatible in Php version 5.2.2 ? - comp.lang.php

3D PHP – playing with ImageCreate
A PHP city (it gets better after the break): Basically I was bored one day and decided to play around with ImageCreate and ended up making this ...

lyrics « puremango.co.uk
innovative coding, tutorials, web stuff. celebrating 6 years online. puremango.co.uk Home About Posts Tagged lyrics Subhumans Lyrics – From the ...

Freecap Support
First of all, make sure you’re using the latest version . Second , read the common problems below Third , write a comment here. I’m pretty ...

Resources last updated: 3/23/2016 8:00:09 PM